diff --git a/kmail/foldertreebase.h b/kmail/foldertreebase.h
index 710186637..b2c48c705 100644
--- a/kmail/foldertreebase.h
+++ b/kmail/foldertreebase.h
@@ -39,7 +39,7 @@ class FolderTreeBase : public KFolderTree
     /** Find index of given folder. Returns 0 if not found */
     virtual TQListViewItem* indexOfFolder( const KMFolder* folder ) const
     {
-       if ( mFolderToItem.tqcontains( folder ) )
+       if ( mFolderToItem.contains( folder ) )
          return mFolderToItem[ folder ];
        else
          return 0;
diff --git a/kmail/folderviewtooltip.h b/kmail/folderviewtooltip.h
index a60e60c6c..5846cd82d 100644
--- a/kmail/folderviewtooltip.h
+++ b/kmail/folderviewtooltip.h
@@ -32,7 +32,7 @@ class FolderViewToolTip : public TQToolTip
       
       item->updateCount();
       TQString tipText = i18n("<qt><b>%1</b><br>Total: %2<br>Unread: %3<br>Size: %4" )
-          .tqarg( item->folder()->prettyURL().tqreplace( " ", "&nbsp;" ) )
+          .tqarg( item->folder()->prettyURL().replace( " ", "&nbsp;" ) )
           .tqarg( item->totalCount() < 0 ? "-" : TQString::number( item->totalCount() ) )
           .tqarg( item->unreadCount() < 0 ? "-" : TQString::number( item->unreadCount() ) )
           .tqarg( KIO::convertSize( item->folderSize() ) );
diff --git a/kmail/headerlistquicksearch.cpp b/kmail/headerlistquicksearch.cpp
index 67755effa..605e86f81 100644
--- a/kmail/headerlistquicksearch.cpp
+++ b/kmail/headerlistquicksearch.cpp
@@ -89,7 +89,7 @@ HeaderListQuickSearch::HeaderListQuickSearch( TQWidget *tqparent,
 
   label->setBuddy( mStatusCombo );
 
-  KToolBarButton * btn = new KToolBarButton( "mail_tqfind", 0, tqparent,
+  KToolBarButton * btn = new KToolBarButton( "mail_find", 0, tqparent,
                                             0, i18n( "Open Full Search" ) );
   connect( btn, TQT_SIGNAL( clicked() ), TQT_SIGNAL( requestFullSearch() ) );
 
@@ -155,10 +155,10 @@ bool HeaderListQuickSearch::itemMatches(const TQListViewItem *item, const TQStri
   // The full email address is not visible, but we still want it to be searchable.
   // KListViewSearchLine::itemMatches() only searches in visible columns.
   const HeaderItem *headerItem = static_cast<const HeaderItem*>( item );
-  if ( headerItem->from().lower().tqcontains( s.lower() ) ) {
+  if ( headerItem->from().lower().contains( s.lower() ) ) {
     return true;
   }
-  if ( headerItem->to().lower().tqcontains( s.lower() ) ) {
+  if ( headerItem->to().lower().contains( s.lower() ) ) {
     return true;
   }
 
diff --git a/kmail/headerstrategy.cpp b/kmail/headerstrategy.cpp
index 99cc4f5f0..239525d30 100644
--- a/kmail/headerstrategy.cpp
+++ b/kmail/headerstrategy.cpp
@@ -243,8 +243,8 @@ namespace KMail {
   }
 
   bool HeaderStrategy::showHeader( const TQString & header ) const {
-    if ( headersToDisplay().tqcontains( header.lower() ) ) return true;
-    if ( headersToHide().tqcontains( header.lower() ) ) return false;
+    if ( headersToDisplay().contains( header.lower() ) ) return true;
+    if ( headersToHide().contains( header.lower() ) ) return false;
     return defaultPolicy() == Display;
   }
 
diff --git a/kmail/imapaccountbase.cpp b/kmail/imapaccountbase.cpp
index d82ba5cc9..a06163799 100644
--- a/kmail/imapaccountbase.cpp
+++ b/kmail/imapaccountbase.cpp
@@ -669,7 +669,7 @@ namespace KMail {
       // split, allow empty parts as we can get empty namespaces
       TQStringList parts = TQStringList::split( "=", *it, true );
       imapNamespace section = imapNamespace( parts[0].toInt() );
-      if ( map.tqcontains( section ) ) {
+      if ( map.contains( section ) ) {
         nsDelim = map[section];
       } else {
         nsDelim.clear();
@@ -736,12 +736,12 @@ namespace KMail {
         TQString msg = i18n("KMail has detected a prefix entry in the "
             "configuration of the account \"%1\" which is obsolete with the "
             "support of IMAP namespaces.").tqarg( name() );
-        if ( list.tqcontains( "" ) ) {
+        if ( list.contains( "" ) ) {
           // replace empty entry with the old prefix
           list.remove( "" );
           list += mOldPrefix;
           mNamespaces[PersonalNS] = list;
-          if ( mNamespaceToDelimiter.tqcontains( "" ) ) {
+          if ( mNamespaceToDelimiter.contains( "" ) ) {
             TQString delim = mNamespaceToDelimiter[""];
             mNamespaceToDelimiter.remove( "" );
             mNamespaceToDelimiter[mOldPrefix] = delim;
@@ -755,7 +755,7 @@ namespace KMail {
           list.clear();
           list += mOldPrefix;
           mNamespaces[PersonalNS] = list;
-          if ( mNamespaceToDelimiter.tqcontains( old ) ) {
+          if ( mNamespaceToDelimiter.contains( old ) ) {
             TQString delim = mNamespaceToDelimiter[old];
             mNamespaceToDelimiter.remove( old );
             mNamespaceToDelimiter[mOldPrefix] = delim;
@@ -799,7 +799,7 @@ namespace KMail {
           ns = ns.left( ns.length()-1 );
         }
         // first ignore an empty prefix as it would match always
-        if ( !ns.isEmpty() && path.tqfind( ns ) != -1 ) {
+        if ( !ns.isEmpty() && path.find( ns ) != -1 ) {
           return (*strit);
         }
       }
@@ -812,7 +812,7 @@ namespace KMail {
   {
     //kdDebug(5006) << "delimiterForNamespace " << prefix << endl;
     // try to match exactly
-    if ( mNamespaceToDelimiter.tqcontains(prefix) ) {
+    if ( mNamespaceToDelimiter.contains(prefix) ) {
       return mNamespaceToDelimiter[prefix];
     }
 
@@ -824,13 +824,13 @@ namespace KMail {
       // make sure we also match this version
       TQString stripped = it.key().left( it.key().length() - 1 );
       if ( !it.key().isEmpty() &&
-          ( prefix.tqcontains( it.key() ) || prefix.tqcontains( stripped ) ) ) {
+          ( prefix.contains( it.key() ) || prefix.contains( stripped ) ) ) {
         return it.data();
       }
     }
     // see if we have an empty namespace
     // this should always be the case
-    if ( mNamespaceToDelimiter.tqcontains( "" ) ) {
+    if ( mNamespaceToDelimiter.contains( "" ) ) {
       return mNamespaceToDelimiter[""];
     }
     // well, we tried
@@ -894,7 +894,7 @@ namespace KMail {
   TQString ImapAccountBase::prettifyQuotaError( const TQString& _error, KIO::Job * job )
   {
       TQString error = _error;
-      if ( error.tqfind( "quota", 0, false ) == -1 ) return error;
+      if ( error.find( "quota", 0, false ) == -1 ) return error;
       // this is a quota error, prettify it a bit
       JobIterator it = findJob( job );
       TQString quotaAsString( i18n("No detailed quota information available.") );
@@ -1025,7 +1025,7 @@ namespace KMail {
   //-----------------------------------------------------------------------------
   void ImapAccountBase::processNewMailInFolder( KMFolder* folder, FolderListType type /*= Single*/ )
   {
-    if ( mFoldersQueuedForChecking.tqcontains( folder ) )
+    if ( mFoldersQueuedForChecking.contains( folder ) )
       return;
     mFoldersQueuedForChecking.append( folder );
     mCheckingSingleFolder = ( type == Single );
@@ -1057,7 +1057,7 @@ namespace KMail {
   //-----------------------------------------------------------------------------
   bool ImapAccountBase::checkingMail( KMFolder *folder )
   {
-    if (checkingMail() && mFoldersQueuedForChecking.tqcontains(folder))
+    if (checkingMail() && mFoldersQueuedForChecking.contains(folder))
       return true;
     return false;
   }
diff --git a/kmail/imapaccountbase.h b/kmail/imapaccountbase.h
index 4b5cda92c..c533171df 100644
--- a/kmail/imapaccountbase.h
+++ b/kmail/imapaccountbase.h
@@ -174,7 +174,7 @@ namespace KMail {
     /**
      * Look for the jobData related to a given job. Compare with end()
      */
-    JobIterator findJob( KIO::Job* job ) { return mapJobData.tqfind( job ); }
+    JobIterator findJob( KIO::Job* job ) { return mapJobData.find( job ); }
     JobIterator jobsEnd() { return mapJobData.end(); }
     /**
      * Call this when a job is finished.
@@ -398,7 +398,7 @@ namespace KMail {
       * Returns true if the account has the given capability
       */
      bool hasCapability( const TQString& capa ) {
-      return mCapabilities.tqcontains( capa ); }
+      return mCapabilities.contains( capa ); }
 
      /**
       * Create an IMAP path for a tqparent folder and a foldername
diff --git a/kmail/imapjob.cpp b/kmail/imapjob.cpp
index be94557de..c25b29097 100644
--- a/kmail/imapjob.cpp
+++ b/kmail/imapjob.cpp
@@ -118,7 +118,7 @@ void ImapJob::init( JobType jt, TQString sets, KMFolderImap* folder,
       ++it;
       if ( mSrcFolder && !curMsg->isMessage() )
       {
-        int idx = mSrcFolder->tqfind( curMsg );
+        int idx = mSrcFolder->find( curMsg );
         curMsg = mSrcFolder->getMsg( idx );
       }
       KURL url = account->getUrl();
@@ -130,10 +130,10 @@ void ImapJob::init( JobType jt, TQString sets, KMFolderImap* folder,
         curMsg->msgSizeServer() : curMsg->msgSize();
       jd.msgList.append( curMsg );
       TQCString cstr( curMsg->asString() );
-      int a = cstr.tqfind("\nX-UID: ");
-      int b = cstr.tqfind('\n', a);
-      if (a != -1 && b != -1 && cstr.tqfind("\n\n") > a) cstr.remove(a, b-a);
-      jd.data.resize( cstr.length() + cstr.tqcontains( "\n" ) - cstr.tqcontains( "\r\n" ) );
+      int a = cstr.find("\nX-UID: ");
+      int b = cstr.find('\n', a);
+      if (a != -1 && b != -1 && cstr.find("\n\n") > a) cstr.remove(a, b-a);
+      jd.data.resize( cstr.length() + cstr.contains( "\n" ) - cstr.contains( "\r\n" ) );
       unsigned int i = 0;
       char prevChar = '\0';
       // according to RFC 2060 we need CRLF
@@ -290,7 +290,7 @@ void ImapJob::slotGetNextMessage()
   jd.msgList.append( msg );
   if ( !mPartSpecifier.isEmpty() )
   {
-    if ( mPartSpecifier.tqfind ("STRUCTURE", 0, false) != -1 ) {
+    if ( mPartSpecifier.find ("STRUCTURE", 0, false) != -1 ) {
       path += ";SECTION=STRUCTURE";
     } else if ( mPartSpecifier == "HEADER" ) {
       path += ";SECTION=HEADER";
@@ -325,7 +325,7 @@ void ImapJob::slotGetNextMessage()
   KIO::Scheduler::assignJobToSlave( account->slave(), simpleJob );
   mJob = simpleJob;
   account->insertJob( mJob, jd );
-  if ( mPartSpecifier.tqfind( "STRUCTURE", 0, false ) != -1 )
+  if ( mPartSpecifier.find( "STRUCTURE", 0, false ) != -1 )
   {
     connect( mJob, TQT_SIGNAL(result(KIO::Job *)),
              this, TQT_SLOT(slotGetBodyStructureResult(KIO::Job *)) );
@@ -448,7 +448,7 @@ void ImapJob::slotGetMessageResult( KIO::Job * job )
        * this means that the msg is not on the server anymore so delete it */
       emit messageRetrieved( 0 );
       tqparent->ignoreJobsForMessage( msg );
-      int idx = tqparent->tqfind( msg );
+      int idx = tqparent->find( msg );
       if (idx != -1) tqparent->removeMsg( idx, true );
       // the removeMsg will unGet the message, which will delete all
       // jobs, including this one
@@ -583,7 +583,7 @@ void ImapJob::slotCopyMessageInfoData(KIO::Job * job, const TQString & data)
   ImapAccountBase::JobIterator it = account->findJob( job );
   if ( it == account->jobsEnd() ) return;
 
-  if (data.tqfind("UID") != -1)
+  if (data.find("UID") != -1)
   {
     // split
     TQString oldUid = data.section(' ', 1, 1);
@@ -598,7 +598,7 @@ void ImapJob::slotCopyMessageInfoData(KIO::Job * job, const TQString & data)
     for ( msg = (*it).msgList.first(); msg; msg = (*it).msgList.next() )
     {
       ulong uid = msg->UID();
-      index = olduids.tqfindIndex(uid);
+      index = olduids.findIndex(uid);
       if (index > -1)
       {
         // found, get the new uid
@@ -622,7 +622,7 @@ void ImapJob::slotPutMessageInfoData(KIO::Job *job, const TQString &data)
   ImapAccountBase::JobIterator it = account->findJob( job );
   if ( it == account->jobsEnd() ) return;
 
-  if ( data.tqfind("UID") != -1 )
+  if ( data.find("UID") != -1 )
   {
     ulong uid = ( data.right(data.length()-4) ).toInt();
     if ( !(*it).msgList.isEmpty() )
diff --git a/kmail/importjob.cpp b/kmail/importjob.cpp
index a84ecf519..fc41a46ba 100644
--- a/kmail/importjob.cpp
+++ b/kmail/importjob.cpp
@@ -273,7 +273,7 @@ static TQString folderNameForDirectoryName( const TQString &dirName )
   Q_ASSERT( dirName.startsWith( "." ) );
   const TQString end = ".directory";
   const int expectedIndex = dirName.length() - end.length();
-  if ( dirName.lower().tqfind( end ) != expectedIndex )
+  if ( dirName.lower().find( end ) != expectedIndex )
     return TQString();
   TQString returnName = dirName.left( dirName.length() - end.length() );
   returnName = returnName.right( returnName.length() - 1 );
diff --git a/kmail/keyresolver.cpp b/kmail/keyresolver.cpp
index 2135a9e79..5d156f8ec 100644
--- a/kmail/keyresolver.cpp
+++ b/kmail/keyresolver.cpp
@@ -555,7 +555,7 @@ namespace {
 
 static TQString canonicalAddress( const TQString & _address ) {
   const TQString address = KPIM::getEmailAddress( _address );
-  if ( address.tqfind('@') == -1 ) {
+  if ( address.find('@') == -1 ) {
     // local address
     //char hostname[1024];
     //gethostname(hostname,1024);
diff --git a/kmail/khtmlparthtmlwriter.cpp b/kmail/khtmlparthtmlwriter.cpp
index 64f085f92..174c2c3a2 100644
--- a/kmail/khtmlparthtmlwriter.cpp
+++ b/kmail/khtmlparthtmlwriter.cpp
@@ -140,7 +140,7 @@ namespace KMail {
       DOM::HTMLImageElement image( node );
       KURL url( image.src().string() );
       if ( url.protocol() == "cid" ) {
-        EmbeddedPartMap::const_iterator it = mEmbeddedPartMap.tqfind( url.path() );
+        EmbeddedPartMap::const_iterator it = mEmbeddedPartMap.find( url.path() );
         if ( it != mEmbeddedPartMap.end() ) {
           kdDebug(5006) << "Replacing " << url.prettyURL() << " by " << it.data() << endl;
           image.setSrc( it.data() );
diff --git a/kmail/kmaccount.cpp b/kmail/kmaccount.cpp
index 796ac382f..20105acd8 100644
--- a/kmail/kmaccount.cpp
+++ b/kmail/kmaccount.cpp
@@ -493,7 +493,7 @@ void KMAccount::checkDone( bool newmail, ChecktqStatus status )
 //-----------------------------------------------------------------------------
 void KMAccount::addToNewInFolder( TQString folderId, int num )
 {
-  if ( mNewInFolder.tqfind( folderId ) == mNewInFolder.end() )
+  if ( mNewInFolder.find( folderId ) == mNewInFolder.end() )
     mNewInFolder[folderId] = num;
   else
     mNewInFolder[folderId] += num;
diff --git a/kmail/kmacctcachedimap.cpp b/kmail/kmacctcachedimap.cpp
index 0c89e6b13..76339dd65 100644
--- a/kmail/kmacctcachedimap.cpp
+++ b/kmail/kmacctcachedimap.cpp
@@ -287,7 +287,7 @@ void KMAcctCachedImap::addUnreadMsgCount( const KMFolderCachedImap *folder,
     // therefore doesn't need to be counted here
     const TQString folderId = folder->folder()->idString();
     int newInFolder = countUnread;
-    if ( mUnreadBeforeCheck.tqfind( folderId ) != mUnreadBeforeCheck.end() )
+    if ( mUnreadBeforeCheck.find( folderId ) != mUnreadBeforeCheck.end() )
       newInFolder -= mUnreadBeforeCheck[folderId];
     if ( newInFolder > 0 )
       addToNewInFolder( folderId, newInFolder );
@@ -417,12 +417,12 @@ TQStringList KMAcctCachedImap::deletedFolderPaths( const TQString& subFolderPath
 
 bool KMAcctCachedImap::isDeletedFolder( const TQString& subFolderPath ) const
 {
-  return mDeletedFolders.tqfind( subFolderPath ) != mDeletedFolders.end();
+  return mDeletedFolders.find( subFolderPath ) != mDeletedFolders.end();
 }
 
 bool KMAcctCachedImap::isPreviouslyDeletedFolder( const TQString& subFolderPath ) const
 {
-  return mPreviouslyDeletedFolders.tqfind( subFolderPath ) != mPreviouslyDeletedFolders.end();
+  return mPreviouslyDeletedFolders.find( subFolderPath ) != mPreviouslyDeletedFolders.end();
 }
 
 void KMAcctCachedImap::removeDeletedFolder( const TQString& subFolderPath )
@@ -459,7 +459,7 @@ FolderStorage* KMAcctCachedImap::rootFolder() const
 
 TQString KMAcctCachedImap::renamedFolder( const TQString& imapPath ) const
 {
-  TQMap<TQString, RenamedFolder>::ConstIterator renit = mRenamedFolders.tqfind( imapPath );
+  TQMap<TQString, RenamedFolder>::ConstIterator renit = mRenamedFolders.find( imapPath );
   if ( renit != mRenamedFolders.end() )
     return (*renit).mNewName;
   return TQString();
diff --git a/kmail/kmacctimap.cpp b/kmail/kmacctimap.cpp
index bb09d692d..d889b65b2 100644
--- a/kmail/kmacctimap.cpp
+++ b/kmail/kmacctimap.cpp
@@ -402,7 +402,7 @@ void KMAcctImap::postProcessNewMail( KMFolder * folder )
   // count the unread messages
   const TQString folderId = folder->idString();
   int newInFolder = folder->countUnread();
-  if ( mUnreadBeforeCheck.tqfind( folderId ) != mUnreadBeforeCheck.end() )
+  if ( mUnreadBeforeCheck.find( folderId ) != mUnreadBeforeCheck.end() )
     newInFolder -= mUnreadBeforeCheck[folderId];
   if ( newInFolder > 0 ) {
     addToNewInFolder( folderId, newInFolder );
@@ -580,7 +580,7 @@ void KMAcctImap::slotFolderSelected( KMFolderImap* folder, bool )
 void KMAcctImap::execFilters(TQ_UINT32 serNum)
 {
   if ( !kmkernel->filterMgr()->atLeastOneFilterAppliesTo( id() ) ) return;
-  TQValueListIterator<TQ_UINT32> findIt = mFilterSerNums.tqfind( serNum );
+  TQValueListIterator<TQ_UINT32> findIt = mFilterSerNums.find( serNum );
   if ( findIt != mFilterSerNums.end() )
       return;
   mFilterSerNums.append( serNum );
diff --git a/kmail/kmaddrbook.cpp b/kmail/kmaddrbook.cpp
index 8fdc5554c..adc888a42 100644
--- a/kmail/kmaddrbook.cpp
+++ b/kmail/kmaddrbook.cpp
@@ -56,18 +56,18 @@ void KabcBridge::addresses(TQStringList& result) // includes lists
     for ( mit = emails.begin(); mit != emails.end(); ++mit ) {
       email = *mit;
       if (!email.isEmpty()) {
-	if (n.isEmpty() || (email.tqfind( '<' ) != -1))
+	if (n.isEmpty() || (email.find( '<' ) != -1))
 	  addr = TQString();
 	else { // do we really need quotes around this name ?
-          if (n.tqfind(needQuotes) != -1)
+          if (n.find(needQuotes) != -1)
 	    addr = '"' + n + endQuote;
 	  else
 	    addr = n + ' ';
 	}
 
-	if (!addr.isEmpty() && (email.tqfind( '<' ) == -1)
-	    && (email.tqfind( '>' ) == -1)
-	    && (email.tqfind( ',' ) == -1))
+	if (!addr.isEmpty() && (email.find( '<' ) == -1)
+	    && (email.find( '>' ) == -1)
+	    && (email.find( ',' ) == -1))
 	  addr += '<' + email + '>';
 	else
 	  addr += email;
@@ -126,7 +126,7 @@ TQStringList KabcBridge::categories()
     for ( TQStringList::ConstIterator itAux = aux.begin();
           itAux != aux.end(); ++itAux ) {
       // don't have duplicates in allcategories
-      if ( allcategories.tqfind( *itAux ) == allcategories.end() )
+      if ( allcategories.find( *itAux ) == allcategories.end() )
         allcategories += *itAux;
     }
   }
diff --git a/kmail/kmail.kcfg b/kmail/kmail.kcfg
index 52a30a4d8..8054b9d82 100644
--- a/kmail/kmail.kcfg
+++ b/kmail/kmail.kcfg
@@ -451,14 +451,14 @@
       <entry name="ReplyPrefixes" type="StringList" key="reply-prefixes">
         <default>Re\\s*:,Re\\[\\d+\\]:,Re\\d+:</default>
       </entry>
-      <entry name="ReplaceReplyPrefix" type="Bool" key="tqreplace-reply-prefix">
+      <entry name="ReplaceReplyPrefix" type="Bool" key="replace-reply-prefix">
         <label>Replace recognized prefi&amp;x with "Re:"</label>
 	<default>true</default>
       </entry>
       <entry name="ForwardPrefixes" type="StringList" key="forward-prefixes">
         <default>Fwd:,FW:</default>
       </entry>
-      <entry name="ReplaceForwardPrefix" type="Bool" key="tqreplace-forward-prefix">
+      <entry name="ReplaceForwardPrefix" type="Bool" key="replace-forward-prefix">
         <label>Replace recognized prefix with "&amp;Fwd:"</label>
         <default>true</default>
       </entry>
